Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence
Class QueryTimeoutException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.persistence.PersistenceException
                      javax.persistence.QueryTimeoutException
                          org.apache.openjpa.persistence.QueryTimeoutException

All Implemented Interfaces:
  Serializable, ExceptionInfo

    public class QueryTimeoutException

extends QueryTimeoutException
implements Serializable, ExceptionInfo

Query timeout violation.

Since:
  2.0.0
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.openjpa.util.ExceptionInfo
`GENERAL, INTERNAL, STORE, UNAVAILABLE, UNSUPPORTED, USER, WRAPPED`

Constructor Summary
`QueryTimeoutException(String msg, Throwable[] nested, Object failed)`
`QueryTimeoutException(String msg, Throwable[] nested, Object failed, boolean fatal)`

Method Summary
`Throwable` | `getCause()` Returns the first `Throwable` from `ExceptionInfo.getNestedThrowables()` in order to conform to `Throwable.getCause()` in Java 1.4+.
`Object` | `getFailedObject()` The failed object.
`Throwable[]` | `getNestedThrowables()` The nested throwables.
`int` | `getSubtype()` Exception subtype.
`int` | `getType()` Exception type.
`boolean` | `isFatal()` Whether this error is fatal.
`void` | `printStackTrace()` Stack.
`void` | `printStackTrace(PrintStream out)`
`void` | `printStackTrace(PrintWriter out)`
`String` | `toString()`

Methods inherited from class javax.persistence.QueryTimeoutException
`getQuery`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.util.ExceptionInfo
`getMessage`

Constructor Detail

### QueryTimeoutException

    public QueryTimeoutException(String msg,
                                 Throwable[] nested,
                                 Object failed)

### QueryTimeoutException

    public QueryTimeoutException(String msg,
                                 Throwable[] nested,
                                 Object failed,
                                 boolean fatal)

Method Detail

### getType

    public int getType()

  Description copied from interface: `ExceptionInfo`
  Exception type.

  Specified by:
    `getType` in interface `ExceptionInfo`

### getSubtype

    public int getSubtype()

  Description copied from interface: `ExceptionInfo`
  Exception subtype.

  Specified by:
    `getSubtype` in interface `ExceptionInfo`

### isFatal

    public boolean isFatal()

  Description copied from interface: `ExceptionInfo`
  Whether this error is fatal.

  Specified by:
    `isFatal` in interface `ExceptionInfo`

### getCause

    public Throwable getCause()

  Description copied from interface: `ExceptionInfo`
  Returns the first `Throwable` from `ExceptionInfo.getNestedThrowables()` in order to conform to `Throwable.getCause()` in Java 1.4+.

  Specified by:
    `getCause` in interface `ExceptionInfo`
  Overrides:
    `getCause` in class `Throwable`
  See Also:
    `Throwable.getCause()`

### getNestedThrowables

    public Throwable[] getNestedThrowables()

  Description copied from interface: `ExceptionInfo`
  The nested throwables.

  Specified by:
    `getNestedThrowables` in interface `ExceptionInfo`

### getFailedObject

    public Object getFailedObject()

  Description copied from interface: `ExceptionInfo`
  The failed object.

  Specified by:
    `getFailedObject` in interface `ExceptionInfo`

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

### printStackTrace

    public void printStackTrace()

  Description copied from interface: `ExceptionInfo`
  Stack.

  Specified by:
    `printStackTrace` in interface `ExceptionInfo`
  Overrides:
    `printStackTrace` in class `Throwable`
  See Also:
    `Throwable.printStackTrace()`

### printStackTrace

    public void printStackTrace(PrintStream out)

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintWriter out)

  Overrides:
    `printStackTrace` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.